Inhalte
Index 🔎︎

# LibreOffice mit Parametern starten

Beim Starten von LibreOffice über die Befehlszeile können Sie durch Angabe verschiedener Parameter die Programmleistung beeinflussen. Diesen Einsatz von Befehlszeilenparametern empfehlen wir jedoch nur erfahrenen Benutzern.

Für den normalen Gebrauch sind Befehlszeilenparameter nicht erforderlich. Einige dieser Parameter setzen ein gewisses Maß an Kenntnis über die technischen Hintergründe der LibreOffice-Software voraus.

## Starten von LibreOffice über die Befehlszeile

1. Suchen Sie im Windows-Startmenü nach Ausführen.

2. Geben Sie den folgenden Text in das Textfeld Öffnen ein und klicken Sie auf OK.

3. "{Installationsverzeichnis}\program\soffice.com" {Parameter}

   Ersetzen Sie {install} durch den Pfad zu Ihrer Installation der LibreOffice-Software (beispielsweise C:\Programme\LibreOffice). Verwenden Sie soffice.exe anstelle von soffice.com, wenn Sie keine Konsole benötigen (beispielsweise wenn Sie die Befehlszeilenschnittstelle nicht für Headless-Operationen verwenden).

1. Öffnen Sie eine Shell unter Linux-, *BSD- oder macOS-Plattformen.

2. Geben Sie die folgende Textzeile ein und drücken Sie dann die Eingabetaste:

   {Installation}/program/soffice {Parameter}

   Ersetzen Sie {Installation} durch den Pfad zu Ihrer Installation der LibreOffice-Software (beispielsweise /opt/LibreOffice unter UNIX).

## Gültige Befehlszeilenparameter

### Benutzung ohne spezielle Argumente

Die Benutzung ohne spezielle Argumente öffnet das Startcenter.

{Datei} | Öffnet die Datei(en) in der für die geeigneten Komponente.
{Datei} macro://./[Bibliothek.Modul.Makroname] | Öffnet die Datei und führt das angegebene Makro aus.

### Zusätzliche Hilfe und Informationen erhalten

Parameter | Bedeutung
--- | ---
--help / -h / -? | Listet die verfügbaren Kommandozeilenparameter in der Konsole auf.
--helpwriter | Öffnet die LibreOffice-Hilfe für Writer.
--helpcalc | Öffnet die LibreOffice-Hilfe für Calc.
--helpdraw | Öffnet die LibreOffice-Hilfe für Draw.
--helpimpress | Öffnet die LibreOffice-Hilfe für Impress.
--helpbase | Öffnet die LibreOffice-Hilfe für Base.
--helpbasic | Öffnet die LibreOffice-Hilfe für die Skriptsprache Basic.
--helpmath | Öffnet die LibreOffice-Hilfe für Math.
--version | Zeigt die LibreOffice-Version an.
--nstemporarydirectory | (Nur macOS Sandbox) Gibt den Pfad des momentanen Verzeichnisses für den aktuellen Benutzer aus. Überschreibt alle anderen Argumente.

### Allgemeine Argumente

Parameter | Bedeutung
--- | ---
--quickstart[=no] | Aktiviert [Deaktiviert] den Schnellstarter. Es kann nur der Parameter no mitgegeben werden, der den Schnellstarter deaktiviert. Ohne Parameter wird dieser Dienst aktiviert.
--nolockcheck | Deaktiviert die Überprüfung für Remote-Instanzen bei der Installation.
--infilter=InputFilterName [:InputFilterParam[,param]] | Erzwingt nach Möglichkeit einen Eingabefiltertyp. Zum Beispiel: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Siehe: Die Liste der Dokumentfilter für die Dateikonvertierung. Die Liste der Filteroptionen für Lotus-, dBase- und Diff-Dateien. Die Liste der Filteroptionen für CSV-Dateien. Die Liste der Filteroptionen für PDF-Dateien.
--pidfile={file} | Speichert die PID von soffice.bin in {Datei}.
--display {display} | Setzt die Umgebungsvariable DISPLAY auf UNIX-ähnlichen Plattformen auf den Wert {Anzeige}. Dieser Parameter wird nur vom Startskript für die Software LibreOffice auf UNIX-ähnlichen Plattformen unterstützt.

### Benutzer-/programmatische Schnittstellenkontrolle

Parameter | Bedeutung
--- | ---
--nologo | Deaktiviert den Startbildschirm beim Programmstart.
--minimized | Startet das Programm minimiert. Der Startbildschirm wird nicht angezeigt.
--nodefault | Startet die Anwendung im Hintergrund, außer dem Startbildschirm wird nichts angezeigt.
--invisible | Startet das Programm im unsichtbaren Modus. Weder das Startlogo noch das Startfenster werden angezeigt. LibreOffice kann aber über die API gesteuert und Dokumente und Dialoge können geöffnet werden. Beim Verwenden des Parameters kann LibreOffice nur mittels Taskmanager (Windows) oder dem Kommando kill (UNIX-artige Systeme) beendet werden. Der Parameter kann nicht zusammen mit --quickstart verwendet werden. Weitere Informationen finden Sie im LibreOffice Developer's Guide.
--headless | Startet das Programm im Modus "headless", der es ermöglicht, die Anwendung ohne Benutzerschnittstelle zu verwenden. Dieser spezielle Modus eignet sich für die Steuerung der Anwendung durch externe Clients über die API.
--norestore | Verhindert den Neustart und die Dateiwiederherstellung nach einem Systemabsturz.
--safe-mode | Startet in einem abgesicherten Modus, beispielsweise vorübergehend mit einem frischen Benutzerprofil, und hilft eine kaputte Konfiguration wiederherzustellen.
--accept={UNO} | Teilt der LibreOffice-Software mit, dass bei der Erstellung von "UNO Acceptor Threads" ein "UNO Accept String" verwendet wird. Eine UNO-URL ist eine Zeichenfolge wie uno:connection-type,params;protocol-name,params;ObjectName. Weitere Informationen finden Sie im LibreOffice Developer's Guide.
--unaccept={UNO-URL} | Beendet einen Akzeptor, der mittels --accept={UNO-URL} gestartet wurde. Um alle offenen Akzeptoren zu beenden, verwenden Sie --unaccept=all.
--language={lang} | Verwendet eine festgelegte Sprache, falls die Sprache noch nicht für die Benutzeroberfläche ausgewählt wurde. Die Sprache ist eine Markierung der Sprache in der IETF-Sprachmarkierung.

### Entwickler-Argumente

Parameter | Bedeutung
--- | ---
--terminate_after_init | Beenden nach vollständiger Initialisierung (keine Dokumente geladen).
--eventtesting | Beenden nach Laden der Dokumente.

Unix- und Linux-Benutzer können LibreOffice mit zusätzlichen Parametern für Debugging-Zwecke aufrufen.

Parameter | Bedeutung
--- | ---
--record | Ein erweiterter Debugger.
--backtrace | Gibt die Rückverfolgung des gesamten Stapels aus.
--strace | strace ist ein Diagnose-, Debugging- und Anweisungs-Userspace-Dienstprogramm für Linux.
--valgrind | Erkennt automatisch viele Speicherverwaltungs- und Threading-Fehler und stellt das Programm detailliert vor.

Die Debug-Optionen --record, --backtrace, --strace und --valgrind können nicht zusammen verwendet werden. Bitte verwenden Sie sie einzeln.

### Argumente zum Erstellen neuer Dokumente

Die Argumente erzeugen ein leeres Dokument einer festgelegten Art. Nur eines von ihnen sollte in einer Kommandozeile verwendet werden. Falls die Dateinamen nach einem Argument festgelegt werden, versucht es diese Dateien in einer festgelegten Komponente zu öffnen.

Parameter | Bedeutung
--- | ---
--writer | Startet mit einem leeren Writer-Dokument.
--calc | Startet mit einem leeren Calc-Dokument.
--draw | Startet mit einem leeren Draw-Dokument.
--impress | Startet mit einem leeren Impress-Dokument.
--math | Startet mit einem leeren Math Dokument.
--global | Startet mit einem leeren Writer-Globaldokument.
--web | Startet mit einem leeren HTML-Dokument.

### Argumente zum Öffnen einer Datei

Die Argumente geben an, wie die nachfolgend genannten Dateien behandelt werden. Jede Behandlung beginnt nach einem Argument und endet beim nächsten Argument. Die Standardbehandlung ist es, die Dokumente zum Bearbeiten zu öffnen und neue Dokumente aus Dokumentvorlagen zu erstellen.

Parameter | Bedeutung
--- | ---
-n | Behandelt die nachfolgenden Dateien als Dokumentvorlagen, um neue Dokumente zu erstellen.
-o | Öffnet die nachfolgenden Dateien zum Bearbeiten, unabhängig davon, ob sie Dokumentvorlagen sind oder nicht.
--pt {Printername} | Druckt die nachfolgend genannten Dateien auf {Druckername} und beendet das Programm. Der Startbildschirm wird nicht angezeigt. Wenn der Dateiname Leerzeichen enthält, muss er in Anführungszeichen gesetzt werden. Wenn mehrmals verwendet, wird nur der letzte {Druckername} für alle Dokumente von allen --pt Läufen verwendet. Auch das Argument --printer-name des Schalters --print-to-file funktioniert mit {Druckername}.
-p | Druckt die nachfolgend genannten Dateien auf dem Standarddrucker aus, nachdem diese Dateien geschlossen wurden. Der Startbildschirm wird nicht angezeigt. Wenn der Dateiname Leerzeichen enthält, muss er in Anführungszeichen gesetzt werden.
--view | Öffnet die folgenden Dateien im Ansichtsmodus (schreibgeschützt).
--show | Öffnet und startet die nachfolgend genannten Präsentationen sofort. Die Dateien werden nach der Vorführung geschlossen. Andere Dateien als Impress-Dokumente werden im Standardmodus geöffnet, unabhängig vom vorhergehenden Modus.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | Wenn --convert-to mehr als einmal verwendet wird, ist der letzte Wert von OutputFileExtension[:OutputFilterName[:OutputFilterParams]] wirksam. Wenn --outdir mehr als einmal verwendet wird, ist nur der letzte Wert wirksam. Zum Beispiel: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Siehe: Die Liste der Dokumentfilter für die Dateikonvertierung. Die Liste der Filteroptionen für Lotus-, dBase- und Diff-Dateien. Die Liste der Filteroptionen für CSV-Dateien. Die Liste der Filteroptionen für PDF-Dateien.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Batch-Druck von Dateien. Wenn --outdir nicht angegeben, wird das aktuelle Verzeichnis als output_dir verwendet. Wenn --printer-name oder --outdir mehrfach verwendet wird, wird nur der letzte Wert wirksam. Auch {Druckername} des Schalters --pt funktioniert mit --printer-name. Beispielsweise: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Wendet den Filter "txt:Text" auf die folgenden Textdokumente an und speichert den Textinhalt in der Konsole (impliziert --headless). Kann nicht mit --convert-to verwendet werden.
-env:VAR[=VALUE] | Legen Sie eine Bootstrap-Variable fest. So legen Sie beispielsweise einen nicht standardmäßigen Benutzerprofilpfad fest: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignorierte Schalter

Parameter | Bedeutung
--- | ---
-psn | Ignoriert (nur macOS)
-Embedding | Ignoriert (COM+ bezogen; nur Windows)
--nofirststartwizard | Keine Auswirkung, akzeptiert nur für die Rückwärtskompatibilität.
--protector {arg1} {arg2} | Wird nur in unit-Tests verwendet und sollte zwei Argumente haben.